Page MenuHomePhabricator

No placeholders on account creation or login forms in Opera Mini
Closed, ResolvedPublic

Description

Navigate to Login on Opera Mini browser – you'll see two blank fields that don't indicate where to enter your username or password. From there, navigate to create account and it's even worse – no indication of where to enter username, password, email, or CAPTCHA. Effectively, this makes creating an account impossible, and login also quite difficult.


Version: unspecified
Severity: normal

Details

Reference
bz68758

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:29 AM
bzimport set Reference to bz68758.
bzimport added a subscriber: Unknown Object (MLST).
Maryana created this task.Jul 28 2014, 7:24 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/jt1O10K2

This is because Opera Mini is the only browser that doesn't support the 'placeholder' attribute. Should we build a fallback just for Opera Mini?

There was a bug about placeholder support in opera mini for search overlay that got won't fixed. Good reasons in that bug where ever it might be about why we shouldn't build JS fallbacks (Also opera mini doesn't run our JS at all although we may want to revisit this)

Opera Mini 5-7 doesn't support placeholders or media queries. I'd suggest adding labels and using a media query to hide them.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/uyLAu4Q2

https://gerrit.wikimedia.org/r/165634 will take care of this if it was to move to stable.

I think we need to kill our custom login code.

Change 165634 had a related patch set uploaded by Florianschmidtwelzow:
Use desktop login/account creation form in alpha

https://gerrit.wikimedia.org/r/165634

Change 165634 merged by jenkins-bot:
Use desktop login/account creation form in alpha

https://gerrit.wikimedia.org/r/165634

New login form in alpha solves this issues. Need to get these changes into stable.

Jdlrobson set Security to None.

Change 231146 had a related patch set uploaded (by Jdlrobson):
Use core login form

https://gerrit.wikimedia.org/r/231146

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 10:43 PM
kaldari removed a subscriber: kaldari.Aug 12 2015, 11:29 PM
MaxSem removed a subscriber: MaxSem.Aug 18 2015, 5:12 PM
Jhernandez triaged this task as High priority.Aug 19 2015, 5:14 PM
Florian added a subscriber: Florian.

I'm not sure, if the merged change does solve this task, can anyone test? :)

Change 231146 merged by jenkins-bot:
Use core login form

https://gerrit.wikimedia.org/r/231146

Annoyingly not quite fixed. On it.

Jdlrobson closed this task as Resolved.Sep 3 2015, 11:32 PM

Oh wait. I can see placeholders on Opera Mini 7.6.40234 and Opera mini 8
Since the bug doesn't specify a version I'm going to call this closed given that if a browser doesn't support placeholder it m supports media queries

I assume this relates to an older version of Opera Mini which also doesn't support media queries.
Based on the fact IE7 looks like this and considering my comment at https://phabricator.wikimedia.org/T70758#719543 calling this done: